Bug 706835 - SELinux is preventing /bin/bash from 'read' accesses on the file pm-suspend.log.
Summary: SELinux is preventing /bin/bash from 'read' accesses on the file pm-suspend.log.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:03582b0854d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-23 07:53 UTC by Erwan Legrand
Modified: 2011-06-03 05:30 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-26.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-03 05:30:13 UTC


Attachments (Terms of Use)

Description Erwan Legrand 2011-05-23 07:53:21 UTC
SELinux is preventing /bin/bash from 'read' accesses on the file pm-suspend.log.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that bash should be allowed read access on the pm-suspend.log file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep dhclient-script /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:dhcpc_t:s0-s0:c0.c1023
Target Context                system_u:object_r:devicekit_var_log_t:s0
Target Objects                pm-suspend.log [ file ]
Source                        dhclient-script
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.2.10-2.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-23.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.38.6-26.rc1.fc15.x86_64 #1
                              SMP Mon May 9 20:45:15 UTC 2011 x86_64 x86_64
Alert Count                   5
First Seen                    Fri 20 May 2011 06:31:55 PM CEST
Last Seen                     Mon 23 May 2011 09:48:40 AM CEST
Local ID                      f163800d-8330-47d2-988e-25094cd1528e

Raw Audit Messages
type=AVC msg=audit(1306136920.824:278): avc:  denied  { read } for  pid=29764 comm="dhclient-script" name="pm-suspend.log" dev=dm-0 ino=531 scontext=system_u:system_r:dhcpc_t:s0-s0:c0.c1023 tcontext=system_u:object_r:devicekit_var_log_t:s0 tclass=file


type=SYSCALL msg=audit(1306136920.824:278): arch=x86_64 syscall=open success=no exit=EACCES a0=206e3e0 a1=0 a2=1b6 a3=0 items=0 ppid=29763 pid=29764 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=dhclient-script exe=/bin/bash subj=system_u:system_r:dhcpc_t:s0-s0:c0.c1023 key=(null)

Hash: dhclient-script,dhcpc_t,devicekit_var_log_t,file,read

audit2allow

#============= dhcpc_t ==============
allow dhcpc_t devicekit_var_log_t:file read;

audit2allow -R

#============= dhcpc_t ==============
allow dhcpc_t devicekit_var_log_t:file read;

Comment 1 Daniel Walsh 2011-05-23 20:02:37 UTC
This looks like a leak.  But I will dontaudit.

Fixed in selinux-policy-3.9.16-25.fc15.src.rpm

Comment 2 Fedora Update System 2011-05-27 16:56:15 UTC
selinux-policy-3.9.16-26.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-26.fc15

Comment 3 Fedora Update System 2011-05-28 23:58:17 UTC
Package selinux-policy-3.9.16-26.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-26.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-26.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-06-03 05:29:29 UTC
selinux-policy-3.9.16-26.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.